Adjust vars for syncs

8 and 9 syncs are different. 8 still uses pungi and we direct non-stable
composes to /mnt/compose/8-.../ instead of changing the profile to
accomodate. All 9 release will sit in /mnt/compose/9 and same with
future major versions.

All SIG's sync to /mnt/compose/MAJOR. There are no plans for SIG's to
sync to non-stable.
This commit is contained in:
Louis Abel 2023-01-13 14:55:11 -07:00
parent 76f51941b6
commit 977ad26b83
Signed by: label
GPG Key ID: B37E62D143879B36
5 changed files with 55 additions and 16 deletions

View File

@ -15,9 +15,14 @@ if [ -z "$RLVER" ]; then
export RLVER=8
fi
if [ -z "$RLREL" ]; then
export RLREL=stable
fi
# Override: Not Allowed
STAGING_ROOT="/mnt/repos-staging"
PRODUCTION_ROOT="/mnt/repos-production"
COMPOSE_ROOT="/mnt/compose"
# Override: Not Allowed
# relative to ${ENV}_ROOT

View File

@ -1,13 +1,29 @@
# To be sourced by scripts to use
# Revision must always start with a major number
REVISION=8.7
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
# comment or blank if needed
APPEND_TO_DIR="-RC1"
case "${RLREL}" in
stable)
REVISION=8.7
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
APPEND_TO_DIR="-RC1"
;;
beta)
REVISION=8.8
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
APPEND_TO_DIR="-BETA"
;;
lh)
REVISION=8.8
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
APPEND_TO_DIR="-LookAhead"
;;
*)
echo "option no recognized"
;;
esac
STAGING_ROOT="/mnt/repos-staging"
PRODUCTION_ROOT="/mnt/repos-production"
@ -15,6 +31,7 @@ PRODUCTION_ROOT="/mnt/repos-production"
# relative to ${ENV}_ROOT
CATEGORY_STUB="mirror/pub/rocky"
RELEASE_DIR="${CATEGORY_STUB}/${REVISION}${APPEND_TO_DIR}"
RELEASE_COMPOSE_ROOT="${COMPOSE_ROOT}/${MAJ}${APPEND_TO_DIR}"
# Set all repos that have no comps/groups associated with them. This is even in
# cases where repos will not be available by normal means. It's just for

View File

@ -1,22 +1,39 @@
# To be sourced by scripts to use
# Revision must always start with a major number
REVISION=9.1
case "${RLREL}" in
stable)
REVISION=9.1
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
APPEND_TO_DIR="-RC4"
;;
beta)
REVISION=9.2
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
APPEND_TO_DIR="-BETA"
;;
lh)
REVISION=9.2
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
APPEND_TO_DIR="-LookAhead"
;;
*)
echo "option no recognized"
;;
esac
ARCHES=(x86_64 aarch64 ppc64le s390x)
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
# comment or blank if needed
APPEND_TO_DIR="-RC4"
STAGING_ROOT="/mnt/repos-staging"
PRODUCTION_ROOT="/mnt/repos-production"
# relative to ${ENV}_ROOT
CATEGORY_STUB="mirror/pub/rocky"
RELEASE_DIR="${CATEGORY_STUB}/${REVISION}${APPEND_TO_DIR}"
RELEASE_COMPOSE_ROOT="${COMPOSE_ROOT}/${MAJ}"
# Set all repos that have no comps/groups associated with them. This is even in
# cases where repos will not be available by normal means. It's just for

View File

@ -14,7 +14,7 @@ MAJ=${RLVER}
# Short name (eg, NFV, extras, Rocky, gluster9)
SHORT=${1}
cd "/mnt/compose/${MAJ}/latest-${SHORT}-${MAJ}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
cd "${RELEASE_COMPOSE_ROOT}/latest-${SHORT}-${MAJ}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then

View File

@ -14,7 +14,7 @@ MAJ=${RLVER}
# Short name (eg, NFV, extras, Rocky, gluster9)
SHORT=${1}
cd "/mnt/compose/${MAJ}/latest-${SHORT}-${MAJ}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
cd "${RELEASE_COMPOSE_ROOT}/latest-${SHORT}-${MAJ}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?
if [ $ret_val -eq "0" ]; then